
Figure - Bug #119069
【VC1】【副屏】应用宝打开后自动闪退
2023-07-21 11:05 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-07-21

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 0721DB

Resolution: -- Degrated: --

Severity: Normal Verified Version: 0136

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1.设备网络正常

【操作步骤】

1.更新应用宝

2.待应用宝更新完成再次点击进入应用宝

【实际结果】

应用宝在进入瞬间出现闪退

【预期结果】

应用宝不会出现闪退现象

【备注】

该现一旦出现该段时间就属于必现

History

#1 - 2023-08-10 17:30 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD APP-王宏

#2 - 2023-08-11 17:26 - CD FW-鲁凯峰

从日志看是更新后应用宝添加View时出了错误,导致被系统force-stop掉,看起来是应用宝需要适配小窗模式,需要应用宝去处理

//启动应用宝

07-21 10:57:46.051  1386 18226 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.tencent.android.qqdownloader/com.tencent.pangu.link.SplashActivity} from uid 10080

//应用宝显示完成

07-21 10:57:46.384  1386  1635 I ActivityTaskManager: Displayed com.tencent.android.qqdownloader/com.tencent.assistantv2.activity.MainActivity: +324ms

//应用宝内部添加View时出现了异常

07-21 10:57:47.219  4507  4507 W System.err: java.lang.IllegalStateException: The specified child already has a parent. You must call removeView() on the child's parent

first.

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.addViewInner(ViewGroup.java:5247)
07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.addView(ViewGroup.java:5076)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.addView(ViewGroup.java:5048)

07-21 10:57:47.219  4507  4507 W System.err:     at com.tencent.assistant.component.FlashIconView.enableDisplayFlash(Unknown Source:14)

07-21 10:57:47.219  4507  4507 W System.err:     at com.tencent.rapidview.parser.uc.run(Unknown Source:25)

07-21 10:57:47.219  4507  4507 W System.err:     at com.tencent.rapidview.parser.RapidParserObject.a(Unknown Source:28)

07-21 10:57:47.219  4507  4507 W System.err:     at com.tencent.rapidview.parser.RapidParserObject.update(Unknown Source:15)

07-21 10:57:47.219  4507  4507 W System.err:     at com.tencent.rapidview.data.c.updateVar(Unknown Source:122)

07-21 10:57:47.219  4507  4507 W System.err:     at com.tencent.rapidview.data.c.update(Unknown Source:81)

07-21 10:57:47.219  4507  4507 W System.err:     at com.tencent.rapidview.runtime.BasePlaceHolder.loadData(Unknown Source:35)

07-21 10:57:47.219  4507  4507 W System.err:     at com.tencent.rapidview.runtime.c.loadData(Unknown Source:2)

07-21 10:57:47.219  4507  4507 W System.err:     at com.tencent.rapidview.control.NormalRecyclerViewAdapter.onBindViewHolder(Unknown Source:116)

07-21 10:57:47.219  4507  4507 W System.err:     at com.tencent.rapidview.control.NormalRecyclerViewAdapter.onBindViewHolder(Unknown Source:2)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.RecyclerView$Adapter.onBindViewHolder(Unknown Source:0)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.RecyclerView$Adapter.bindViewHolder(Unknown Source:29)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.RecyclerView$Recycler.a(Unknown Source:39)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.RecyclerView$Recycler.a(Unknown Source:507)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.RecyclerView$Recycler.a(Unknown Source:5)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.RecyclerView$Recycler.getViewForPosition(Unknown Source:1)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.LinearLayoutManager$LayoutState.a(Unknown Source:11)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.LinearLayoutManager.a(Unknown Source:0)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.LinearLayoutManager.a(Unknown Source:44)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.LinearLayoutManager.onLayoutChildren(Unknown Source:366)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.RecyclerView.dispatchLayoutStep2(Unknown Source:42)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.RecyclerView.onMeasure(Unknown Source:65)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.measure(View.java:25778)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.RelativeLayout.measureChildHorizontal(RelativeLayout.java:735)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.RelativeLayout.onMeasure(RelativeLayout.java:481)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.measure(View.java:25778)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.RelativeLayout.measureChildHorizontal(RelativeLayout.java:735)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.RelativeLayout.onMeasure(RelativeLayout.java:481)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.measure(View.java:25778)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.RelativeLayout.measureChildHorizontal(RelativeLayout.java:735)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.RelativeLayout.onMeasure(RelativeLayout.java:481)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.measure(View.java:25778)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.RecyclerView$LayoutManager.measureChildWithMargins(Unknown Source:98)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.LinearLayoutManager.a(Unknown Source:60)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.LinearLayoutManager.a(Unknown Source:44)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.LinearLayoutManager.onLayoutChildren(Unknown Source:366)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.RecyclerView.dispatchLayoutStep2(Unknown Source:42)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.RecyclerView.dispatchLayout(Unknown Source:30)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v7.widget.RecyclerView.onLayout(Unknown Source:5)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.layout(View.java:23148)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.layout(ViewGroup.java:6412)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.FrameLayout.layoutChildren(FrameLayout.java:332)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.FrameLayout.onLayout(FrameLayout.java:270)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.layout(View.java:23148)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.layout(ViewGroup.java:6412)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v4.view.ViewPager.onLayout(Unknown Source:260)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.layout(View.java:23148)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.layout(ViewGroup.java:6412)

07-21 10:57:47.219  4507  4507 W System.err:     at com.tencent.ptrlayout.SmartRefreshLayout.onLayout(Unknown Source:135)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.layout(View.java:23148)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.layout(ViewGroup.java:6412)
07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.RelativeLayout.onLayout(RelativeLayout.java:1103)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.layout(View.java:23148)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.layout(ViewGroup.java:6412)

07-21 10:57:47.219  4507  4507 W System.err:     at android.support.v4.view.ViewPager.onLayout(Unknown Source:260)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.layout(View.java:23148)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.layout(ViewGroup.java:6412)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.RelativeLayout.onLayout(RelativeLayout.java:1103)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.layout(View.java:23148)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.layout(ViewGroup.java:6412)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.FrameLayout.layoutChildren(FrameLayout.java:332)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.FrameLayout.onLayout(FrameLayout.java:270)

07-21 10:57:47.219  4507  4507 W System.err:     at com.tencent.argussdk.ui.TrackerFrameLayout.onLayout(Unknown Source:14)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.layout(View.java:23148)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.layout(ViewGroup.java:6412)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.FrameLayout.layoutChildren(FrameLayout.java:332)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.FrameLayout.onLayout(FrameLayout.java:270)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.layout(View.java:23148)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.layout(ViewGroup.java:6412)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.LinearLayout.setChildFrame(LinearLayout.java:1829)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.LinearLayout.layoutVertical(LinearLayout.java:1673)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.LinearLayout.onLayout(LinearLayout.java:1582)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.layout(View.java:23148)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.layout(ViewGroup.java:6412)

07-21 10:57:47.219  4507  4507 W System.err:     at com.android.internal.widget.DecorCaptionView.onLayout(DecorCaptionView.java:425)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.layout(View.java:23148)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.layout(ViewGroup.java:6412)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.FrameLayout.layoutChildren(FrameLayout.java:332)

07-21 10:57:47.219  4507  4507 W System.err:     at android.widget.FrameLayout.onLayout(FrameLayout.java:270)

07-21 10:57:47.219  4507  4507 W System.err:     at com.android.internal.policy.DecorView.onLayout(DecorView.java:879)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.View.layout(View.java:23148)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewGroup.layout(ViewGroup.java:6412)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewRootImpl.performLayout(ViewRootImpl.java:3716)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewRootImpl.performTraversals(ViewRootImpl.java:3175)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewRootImpl.doTraversal(ViewRootImpl.java:2158)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.ViewRootImpl$TraversalRunnable.run(ViewRootImpl.java:8688)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.Choreographer$CallbackRecord.run(Choreographer.java:1120)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.Choreographer.doCallbacks(Choreographer.java:926)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.Choreographer.doFrame(Choreographer.java:859)

07-21 10:57:47.219  4507  4507 W System.err:     at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:1105)

07-21 10:57:47.219  4507  4507 W System.err:     at android.os.Handler.handleCallback(Handler.java:938)

07-21 10:57:47.219  4507  4507 W System.err:     at android.os.Handler.dispatchMessage(Handler.java:99)

07-21 10:57:47.219  4507  4507 W System.err:     at android.os.Looper.loopOnce(Looper.java:201)

07-21 10:57:47.219  4507  4507 W System.err:     at android.os.Looper.loop(Looper.java:288)

07-21 10:57:47.219  4507  4507 W System.err:     at android.app.ActivityThread.main(ActivityThread.java:7880)

//被系统干掉

07-21 10:57:47.454  1386  2744 I ActivityManager: Killing 4549:com.tencent.android.qqdownloader:cloud/u0a102 (adj 905): empty #2

07-21 10:57:47.455  1386  2744 I am_kill : [0,4549,com.tencent.android.qqdownloader:cloud,905,empty #2]

07-21 10:57:47.465  1386  2744 I ActivityManager: Force stopping com.tencent.android.qqdownloader appid=10102 user=0: start instr

07-21 10:57:47.467  1386  2744 I ActivityManager: Killing 4462:com.tencent.android.qqdownloader:live/u0a102 (adj 100): stop com.tencent.android.qqdownloader due to

start instr

07-21 10:57:47.467  1386  2744 I am_kill : [0,4462,com.tencent.android.qqdownloader:live,100,stop com.tencent.android.qqdownloader due to start instr]

07-21 10:57:47.469  1386  2744 I ActivityManager: Killing 4507:com.tencent.android.qqdownloader/u0a102 (adj 0): stop com.tencent.android.qqdownloader due to start
instr

07-21 10:57:47.469  1386  2744 I am_kill : [0,4507,com.tencent.android.qqdownloader,0,stop com.tencent.android.qqdownloader due to start instr]

07-21 10:57:47.472  1386  2744 W ActivityTaskManager: Force removing ActivityRecord{20a6390 u0

com.tencent.android.qqdownloader/com.tencent.assistantv2.activity.MainActivity taskAffinity=10102:com.tencent.android.qqdownloader t18959 f}}: app died, no saved

state

07-21 10:57:47.472  1386  2744 I wm_finish_activity: [0,34235280,18959,com.tencent.android.qqdownloader/com.tencent.assistantv2.activity.MainActivity,proc died

without state saved]

#3 - 2023-08-11 17:27 - CD FW-鲁凯峰

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王宏 to 物联网测试组_TSCD 王维

- Need_Info changed from -- to TEST

#4 - 2023-08-23 14:48 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

- Verified Version set to 0136

0136版本验证通过

#5 - 2023-08-23 14:48 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#6 - 2023-08-23 14:48 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

中科创达软件股份有限公司20230721-110033.mp4 10 MB 2023-07-21 物联网测试组_TSCD 王维

yingyongbao.txt 7.41 MB 2023-07-21 物联网测试组_TSCD 王维
